Actualización a WordPress 5.0 y Gutenberg: mi experiencia

Por en

Así que por fin WordPress 5.0 ya está liberado, y afortunadamente para muchos, su instalación no explotó en su rostro. Este sitio ya está actualizado, y hasta ahora todo se encuentra funcionando perfectamente bien. Como ya muchos de ustedes sabrán, la gran novedad en WordPress 5.0 es el editor Gutenberg, basado en bloques de contenido, y que ha causado un gran revuelo por ser radicalmente distinto a la forma actual de editar contenido, pero por sobre todo por tener aún varios problemas sin resolver con algunos plugins muy usados, como por ejemplo ACF (Advanced Custom Fields) , muchos otros más y también con otros tantos temas. El día de hoy les quiero compartir como me fue con la actualización a WordPress 5.0, dando detalle de todo lo que uso y si funcionó bien o no. Sobra decir que este post fue editado con Gutenberg usando los bloques de Advanced Gutenberg

La actualización a WordPress 5.0

La actualización a WordPress 5.0 transcurrió sin problemas, sin errores y sin sobresaltos. Una vez realizada, se mostró una pantalla donde aparte de anunciar todo lo nuevo, se indica claramente un enlace donde te dicen como seguir usando el editor clásico:

Muestra el enlace con información del plugin Editor Clásico

Ese enlace que ves te lleva a una página dedicada que te habla del plugin Classic Editor. Así que de nuevo y como le he dicho a cientos de usuarios, no hay tal cosa como una “imposición“. Puedes usar Gutenberg y el editor clásico sin problemas.

Tema: GeneratePress 2.2.1 (compatibilidad 100%)

La reputación de GeneratePress lo precede; tiene un soporte excelente proactivo de parte de su autor Tom Usborne, y los foros lo complementan. Es de los mejores temas que he usado, y ya desde hace tiempo se encargó de GeneratePress fuera compatible con Gutenberg/WordPress 5.0 y sus nuevas características: los nuevos anchos, soporte correcto de contenido, etc.

Plugins

A continuación los plugins que uso, y aunque no todos aplican pues no todos tienen que ver directamente con el editor, los pongo para referencia de aquellos que los usen también. Sólo no listé uno que es Disable Gutenberg, que fue instalado después de WordPress 5.0 para que funcione con editor dual, es decir, modo clásico y Gutenberg según lo requiera. Ampliamente recomendado, pues permite restringir el uso tanto por roles como por CPT (custom post types). Ahora si, vengan los plugins:

PluginVersiónCompabitilidad WP5
404page7✔️
Autoptimize2.4.4✔️
Block Bad Queries (BBQ)20181117✔️
Easy Table of Contents1.7✔️
Elementor2.3.4✔️
Elementor Pro2.2.4✔️
Google Tag Manager1.9✔️
Health Check & Troubleshooting1.2.2✔️
JetPack6.8.1✔️
ManageWP4.6.3✔️
Markup (JSON-LD) structured in schema.org4.6.1✔️
Reading Progress Bar1.2✔️
Really Simple SSL3.1.3✔️
Recent Posts Widget With Thumbnails6.4.0✔️
Redirection3.6.3✔️
Revive Old Post8.1.4✔️1
RGPD2.1.0✔️
Shortcodes Ultimate5.1.1✔️
ShortPixel Image Optimizer4.12.1✔️
Simple Author Box2.1.4✔️
SyntaxHighlighter Evolved3.4.1✔️
ThirstyAffiliates3.5✔️2
TinyMCE Advanced4.8.0✔️
Universal Star Rating2.0.4✔️
UpdraftPlus1.15.7✔️
Wordfence Security7.1.18✔️
WordPress Editorial Calendar3.7.2✔️
WP Content Security Policy Plugin2.3✔️
WP Rollback1.5.1✔️
WP Super Cache1.6.4✔️
WP-Optimize2.2.6✔️
WPForms Lite1.5.0.3✔️
Yoast SEO9.2.1✔️
  1. Sin probar, pero como no tiene que ver con el editor, estoy seguro que funciona.
  2. Existe compatibilidad siempre y cuando lo uses en el bloque Editor Clásico.

Esto por supuesto es preliminar y apenas voy arrancando con la actualización a WordPress 5.0, y todavía pueden pasar muchas cosas. 

Usando el nuevo editor Gutenberg de WordPress 5.0

Lo primero que me ha saltado a la vista es que no es precisamente un rayo, ni siquiera cercano a la agilidad que tenía en mis entornos de prueba; esto aún tengo que evaluarlo y esperar a los parches muy seguramente, pero por ahora deja trabajar cuando menos. Hasta ahora el editor base ha funcionado bien; instalé los bloques de Advanced Gutenberg y en primera instancia parecía que fallaban, pero luego determiné que algo del caché le hacía mal. Ahora está trabajando bien, aunque se antoja algo lenta la funcionalidad del bloque de Advanced Table. 

Una advertencia sobre el plugin Classic Editor

Si estás usando el plugin Classic Editor en los sitios de tus clientes de modo que estos crean que todo sigue igual, hay una sorpresa al menos hasta la versión 1.1 de este; cuando lo instalas, verás en tu listado de entradas que debajo de cada una hay un enlace para editar con ambos editores, de bloques y clásico:

Una vez que estés editando el artículo, verás un metabox en la derecha ofreciendo la opción de convertir el post al editor bloques:

Esto tengo que decirlo, se me hace extremadamente bajo e innecesario, sobre todo porque se me hace fraudulento, después de que tanto han cacareado que al instalar Classic Editor “no podrán distinguir entre WordPress 5.0 y 4.9.8“. Ahí lo tienen, así es como se se va por el caño la credibilidad. Sin embargo, se puede echar para atrás este comportamiento: ve a Ajustes > Escritura y ve que las opciones que ves queden con las selecciones que se muestran:

Esto hará que todo sea Classic Editor, sin ofertas escondidas de convertir a bloques. Pero la cosa es que ya no confío en Classic Editor; por eso sugiero a aquellos que quieran seguir usando el editor clásico, instalen el plugin Disable Gutenberg, es mucho más eficiente y flexible que otras opciones que haya visto. Para que quede claro:

NO instales el plugin Classic Editor; usa mañas puestas a última hora para intentarte llevar al editor de bloques. En su lugar instala el plugin Disable Gutenberg, es mucho más eficiente y flexible.

Por cierto, eso que vieron antes es un shortcode de Shortcodes Ultimate 😎.

Balance inicial sobre actualización a WordPress 5.0: positivo

En mi caso particular, la actualización a WordPress 5.0 ha sido todo miel sobre hojuelas. Pero no soy ciego ni tonto: mi blog es pequeño, con unos cuantos posts todavía, sin mucha complejidad. Entiendo que hay casos de uso mucho más complicados donde quizás nada de lo anterior aplique; aún así, espero que mis resultados ayuden a alguien y lo animen a probar (con cuidado) WordPress 5.0 y su nuevo y flamante editor. 

¡No olviden visitar el tutorial de Gutenberg / WordPress 5.0 para aprender como usarlo!

Deja un comentario

Centro de preferencias de privacidad

      Necessary

      Advertising

      Analytics

      Other

      A %d blogueros les gusta esto: